<?php
// Copyright 2001 Sun Microsystems, Inc. All rights reserved.
// $Id: scandetectionHandler.php,v 1.7 2001/10/25 20:02:14 jthrowe Exp $

// -------------------------------------
// Includes

include("ServerScriptHelper.php");
$serverScriptHelper = new ServerScriptHelper();
$i18n = $serverScriptHelper->getI18n("base-scandetection");

// -------------------------------------
// Variables
$cceClient = $serverScriptHelper->getCceClient();

$settingsToIndex = array("scandetectionLevel0" => 0,
                         "scandetectionLevel1" => 1,
                         "scandetectionLevel2" => 2);
if ($settingsToIndex[$scandetection_level] == 2) {
   ?> 
   <SCRIPT LANGUAGE="javascript">
        alert("<?php print $i18n->get("dosWarning"); ?>")
   </SCRIPT>
   <?php
}

$settings = array("paranoiaLevel" => $settingsToIndex[$scandetection_level],
                  "timeout" => $timeout,
		  "numScans" => $setNumScans,
		  "permBlocked" => $permBlocked,
		  "permUnblocked" => $permUnblocked,
		  "alertMe" => $alertMe);

// Use ActiveMonitor's email contact list if possible
$am_obj = $cceClient->getObject('ActiveMonitor', array(), '');
if( ! $am_obj["alertEmailList"] )
        $settings["alertEmail"] = $alertEmail;

$cceClient->setObject("System", 
                       $settings,
		       "Scandetection");

$errors = $cceClient->errors();

// return to the original page with any errors
print($serverScriptHelper->toHandlerHtml("/base/scandetection/scandetection.php", $errors , "base-scandetection"));

$serverScriptHelper->destructor();
?>
