<?php
// Author: Jesse Throwe
// Copyright 2001 Sun Microsystems, Inc. All rights reserved.
// $Id: scandetectionShowBlocked.php,v 1.2.2.1 2002/02/20 01:30:36 pbaltz Exp $

// -------------------------------------
// Includes

include("ServerScriptHelper.php");

// -------------------------------------
// Variables

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-scandetection");
$i18n = $serverScriptHelper->getI18n("base-scandetection");
$page = $factory->getPage();


// -------------------------------------
// Construct buttons

$goback = $factory->getBackButton("/base/scandetection/scandetection.php"); 

$clearblockedButton = $factory->getButton("javascript: confirmClear()", "clearBlocked");



// -------------------------------------
// Build the scroll list
$iplisting = $factory->getScrollList("scandetectionShowBlocked", array (""),array(0,1));
$iplisting->setDefaultSortedIndex(0);
$iplisting->setColumnWidths(100);
$iplisting->setAlignments(array("Center"));

// run the helper script
$serverScriptHelper->shell("/usr/sausalito/handlers/base/scandetection/detectportscans.pl", $output, 'root');

// parse the output
$iparray = explode("\n", $output);

// add each line to the listing
foreach ($iparray as $anip) {
if ($anip == "") { continue; }
$htmlip = $factory->getTextField("ip", $anip, "r");
$iplisting->addEntry(array($htmlip));
}

// cleanup our mess, print out the results, and quit
$serverScriptHelper->destructor();

print $page->toHeaderHtml();
?>
<SCRIPT LANGUAGE="javascript">
function confirmClear() {
  var message = "<?php print($i18n->get("confirmClearBlocked"))?>";

  if(confirm(message))
    location = "/base/scandetection/scandetectionBlockClear.php?reallydo=yes";
}
</SCRIPT>

<table><tr>
<td><? print $clearblockedButton->toHtml(); ?></td></tr></table><br>
<?
print $iplisting->toHtml();
?> <br> <?
print $goback->toHtml();
print $page->toFooterHtml();

?>
