<?php
// Author: Jesse Throwe
// Copyright 2001 Sun Microsystems, Inc. All rights reserved.
// $Id: scandetectionBlockClear.php,v 1.1.1.1.2.1 2002/02/20 01:30:36 pbaltz Exp $

// -------------------------------------
// Includes

include("ServerScriptHelper.php");

// -------------------------------------
// Variables

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();

// -------------------------------------
// Find our network oids, and reload the firewall on each of them

$networks = $cceClient->find("Network");
foreach ($networks as $network_oid) {
	$thisnetwork = $cceClient->get($network_oid);
	$device = $thisnetwork['device'];
	$serverScriptHelper->shell("/usr/sbin/ldfirewall -r $device", $output, 'root');
	$serverScriptHelper->shell("/usr/sbin/ldfirewall $device /etc/scandetection/scandetection.fwall", $output, 'root');
}

// Go back to the original site, returning any errors on the way
print($serverScriptHelper->toHandlerHtml("/base/scandetection/scandetection.php", $errors, "base-scandetection"));

$serverScriptHelper->destructor();
?>
