<?php
// Author: Sam Napolitano
// Copyright 2001 Sun Microsystems, Inc. All rights reserved.
// $Id: scandetectionLog.php,v 1.2.2.1 2002/02/20 01:30:36 pbaltz Exp $

include("ServerScriptHelper.php");

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$factory = $serverScriptHelper->getHtmlComponentFactory("base-scandetection");
$i18n = $serverScriptHelper->getI18n("base-scandetection");
$page = $factory->getPage();
$refreshButton = $factory->getButton("/base/scandetection/scandetectionLog.php", "refreshButton");


$logfile = "/var/log/phoenix.log";
//$logfile = "/var/log/messages";      // for testing only!
$lines = 10;                        // number of lines to read back

$title = $i18n->get(
    "windowTitle", "", array("numlines" => $lines,
                             "logfile" => $logfile)
);

function read_file ($logfile) {

    global $i18n, $serverScriptHelper, $lines;

    if (! file_exists($logfile)) {
        return ($i18n->getHtml("fileDoesNotExist", "", 
                           array("logfile" => $logfile)));
    }

    // see /etc/ccewrap.conf
    $cmd = "/usr/bin/tail --lines=$lines $logfile";

    if ($error = $serverScriptHelper->shell($cmd, $output, 'root')) {
        return ($i18n->get("error") . ':' . $cmd . ':' . $error);
    }
    return ($output); 
}

$block = read_file($logfile);

// Free helper
$serverScriptHelper->destructor();
print $page->toHeaderHtml();
?>
<TABLE ALIGN="center">
    <TR>
        <TD><?php print($refreshButton->toHtml()); ?></TD>
    </TR>
</TABLE>
<table><tr><td align=left>
<PRE>
<?php print($block); ?>
</PRE>
</td></tr></table>
<TABLE ALIGN="center">
    <TR>
        <TD><?php print($refreshButton->toHtml()); ?></TD>
    </TR>
</TABLE>
<? print $page->toFooterHtml(); ?>
